Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.build.xml
Class SAXHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.basex.build.xml.SAXHandler

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler, LexicalHandler

    public final class SAXHandler

extends DefaultHandler
implements LexicalHandler

SAX Parser wrapper.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen

Constructor Summary
`SAXHandler(Builder build, String xml)` Constructor.

Method Summary
`void` | `characters(char[] ch, int s, int l)`
`void` | `comment(char[] ch, int s, int l)`
`void` | `endCDATA()`
`void` | `endDocument()`
`void` | `endDTD()`
`void` | `endElement(String uri, String ln, String qn)`
`void` | `endEntity(String n)`
`void` | `processingInstruction(String nm, String cont)`
`void` | `startCDATA()`
`void` | `startDocument()`
`void` | `startDTD(String n, String pid, String sid)`
`void` | `startElement(String uri, String ln, String qn, Attributes at)`
`void` | `startEntity(String n)`
`void` | `startPrefixMapping(String prefix, String uri)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, resolveEntity, setDocumentLocator, skippedEntity, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXHandler

    public SAXHandler(Builder build,
                      String xml)

  Constructor.

  Parameters:
    `build` - builder reference
    `xml` - document name

Method Detail

### startElement

    public void startElement(String uri,
                             String ln,
                             String qn,
                             Attributes at)
                      throws SAXException

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `DefaultHandler`
  Throws:
    `SAXException`

### endElement

    public void endElement(String uri,
                           String ln,
                           String qn)
                    throws SAXException

  Specified by:
    `endElement` in interface `ContentHandler`
  Overrides:
    `endElement` in class `DefaultHandler`
  Throws:
    `SAXException`

### characters

    public void characters(char[] ch,
                           int s,
                           int l)

  Specified by:
    `characters` in interface `ContentHandler`
  Overrides:
    `characters` in class `DefaultHandler`

### processingInstruction

    public void processingInstruction(String nm,
                                      String cont)
                               throws SAXException

  Specified by:
    `processingInstruction` in interface `ContentHandler`
  Overrides:
    `processingInstruction` in class `DefaultHandler`
  Throws:
    `SAXException`

### comment

    public void comment(char[] ch,
                        int s,
                        int l)
                 throws SAXException

  Specified by:
    `comment` in interface `LexicalHandler`
  Throws:
    `SAXException`

### startDocument

    public void startDocument()
                       throws SAXException

  Specified by:
    `startDocument` in interface `ContentHandler`
  Overrides:
    `startDocument` in class `DefaultHandler`
  Throws:
    `SAXException`

### endDocument

    public void endDocument()
                     throws SAXException

  Specified by:
    `endDocument` in interface `ContentHandler`
  Overrides:
    `endDocument` in class `DefaultHandler`
  Throws:
    `SAXException`

### startPrefixMapping

    public void startPrefixMapping(String prefix,
                                   String uri)

  Specified by:
    `startPrefixMapping` in interface `ContentHandler`
  Overrides:
    `startPrefixMapping` in class `DefaultHandler`

### startDTD

    public void startDTD(String n,
                         String pid,
                         String sid)

  Specified by:
    `startDTD` in interface `LexicalHandler`

### endDTD

    public void endDTD()

  Specified by:
    `endDTD` in interface `LexicalHandler`

### endCDATA

    public void endCDATA()

  Specified by:
    `endCDATA` in interface `LexicalHandler`

### endEntity

    public void endEntity(String n)

  Specified by:
    `endEntity` in interface `LexicalHandler`

### startCDATA

    public void startCDATA()

  Specified by:
    `startCDATA` in interface `LexicalHandler`

### startEntity

    public void startEntity(String n)

  Specified by:
    `startEntity` in interface `LexicalHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD